------------------------------------------------------------------------
r73 | dridzt | 2008-10-19 10:24:08 +0000 (Sun, 19 Oct 2008) | 1 line
Changed paths:
   A /tags/0.7-30000-1 (from /trunk:72)

Tagging as 0.7-30000-1.
------------------------------------------------------------------------
r72 | dridzt | 2008-10-19 10:04:11 +0000 (Sun, 19 Oct 2008) | 1 line
Changed paths:
   M /trunk/XLootMasterOptions.lua

- static popup when using 'dkp' option
------------------------------------------------------------------------
r70 | mikk | 2008-10-17 17:51:27 +0000 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/XLootMaster.lua
   M /trunk/XLootMaster.toc
   M /trunk/XLootMasterOptions.lua

XLootMaster: Update for 3.0. Xuerian seems awol so I'll be doing the minimum work required just to keep it working for now.
------------------------------------------------------------------------
r69 | root | 2008-09-29 21:42:02 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   A /trunk/.pkgmeta

Facilitate WowAce-on-CurseForge transition
------------------------------------------------------------------------
r67 | root | 2008-09-29 20:58:54 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   D /tmp/trunk/XLootMaster
   A /trunk (from /tmp/trunk/XLootMaster:66)

Importing old repo data under /trunk
------------------------------------------------------------------------
r66 | StingerSoft | 2008-08-15 10:51:24 +0000 (Fri, 15 Aug 2008) | 3 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   M /tmp/trunk/XLootMaster/locales/ruRU.lua
   D /tmp/trunk/XLootMaster/localization.deDE.lua
   D /tmp/trunk/XLootMaster/localization.enUS.lua
   D /tmp/trunk/XLootMaster/localization.esES.lua
   D /tmp/trunk/XLootMaster/localization.frFR.lua
   D /tmp/trunk/XLootMaster/localization.zhCN.lua
   D /tmp/trunk/XLootMaster/localization.zhTW.lua

XLootMaster: 
- update/fix ruRU typos
- organized localizations (deleted not used loc files)
------------------------------------------------------------------------
r65 | mukha521 | 2008-08-14 23:33:16 +0000 (Thu, 14 Aug 2008) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/locales/ruRU.lua

XLootMaster:
- ruRU locale implemented.
------------------------------------------------------------------------
r62 | xuerian | 2008-07-21 20:48:43 +0000 (Mon, 21 Jul 2008) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/locales
   A /tmp/trunk/XLootMaster/locales/deDE.lua
   A /tmp/trunk/XLootMaster/locales/enUS.lua
   A /tmp/trunk/XLootMaster/locales/esES.lua
   A /tmp/trunk/XLootMaster/locales/frFR.lua
   A /tmp/trunk/XLootMaster/locales/zhCN.lua
   A /tmp/trunk/XLootMaster/locales/zhTW.lua

XLootMaster: Bumped TOC, organized localizations.
------------------------------------------------------------------------
r61 | ananhaid | 2008-07-21 11:05:32 +0000 (Mon, 21 Jul 2008) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/localization.zhCN.lua
   M /tmp/trunk/XLootMaster/localization.zhTW.lua

XLootMaster: 
- zhCN/zhTW update.
------------------------------------------------------------------------
r60 | xuerian | 2008-07-20 17:02:14 +0000 (Sun, 20 Jul 2008) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMasterOptions.lua
   M /tmp/trunk/XLootMaster/localization.enUS.lua

XLootMaster: Add Announce self-loot option (Drycode)
------------------------------------------------------------------------
r58 | scorpio0920 | 2008-04-24 18:46:07 +0000 (Thu, 24 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   M /tmp/trunk/XLootMaster/localization.zhTW.lua

XLootMaster:
- Update zhTW localization.
------------------------------------------------------------------------
r57 | ammo | 2008-04-13 08:24:08 +0000 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

.Undo all of Scorpio0920 schanges. You will lose your SVN account.
I wish you were on IRC #wowace on freenode.net so we can have a chat.

------------------------------------------------------------------------
r56 | scorpio0920 | 2008-04-13 07:51:53 +0000 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster:
- toc to 2.4
------------------------------------------------------------------------
r54 | xuerian | 2007-11-13 16:14:47 +0000 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster: Bumped toc
------------------------------------------------------------------------
r53 | ananhaid | 2007-10-07 12:09:54 +0000 (Sun, 07 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/localization.zhTW.lua

XLootMaster: 
- fix my stupid error...-_-
------------------------------------------------------------------------
r52 | ananhaid | 2007-10-07 12:07:44 +0000 (Sun, 07 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/localization.zhCN.lua
   A /tmp/trunk/XLootMaster/localization.zhTW.lua

XLootMaster: 
- 2.2 toc and zhCN/zhTW add Translate
------------------------------------------------------------------------
r51 | xuerian | 2007-07-02 18:27:30 +0000 (Mon, 02 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/localization.deDE.lua

XLootMaster: Adding full German translation (Thanks to Omicron)
------------------------------------------------------------------------
r50 | mikk | 2007-06-24 21:32:54 +0000 (Sun, 24 Jun 2007) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Move "Give Random Loot" to a separate function so we don't attempt to calculate random targets every time we open the dewdrop menu but rather when it is actually wanted. Might plug some stray assert()s seen in the field.

------------------------------------------------------------------------
r49 | mikk | 2007-06-19 20:43:20 +0000 (Tue, 19 Jun 2007) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Make randomization asserts more information in an attempt to find what's causing them

------------------------------------------------------------------------
r48 | ckknight | 2007-06-18 21:13:01 +0000 (Mon, 18 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster - change AceEvent-2.0 schedules in anticipation of a future commit, where :ScheduleEvent/:ScheduleRepeatedEvent will not return a table value.
------------------------------------------------------------------------
r47 | xuerian | 2007-05-21 16:56:41 +0000 (Mon, 21 May 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster: Guess what I'm doing?
------------------------------------------------------------------------
r46 | mikk | 2007-05-15 23:43:12 +0000 (Tue, 15 May 2007) | 3 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: 
- Implement new random algorithm which prevents streaks of luck and/or bad luck, in essence making the randomness less random. Configuration options MAY be added for level 1.0 (totally random) to level 0.0 (nearly round-robin) in the future. It's currently at 0.3 which still "feels" random, but is pretty streak-free.

------------------------------------------------------------------------
r45 | shiftos | 2007-04-21 18:01:40 +0000 (Sat, 21 Apr 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/localization.esES.lua

XLootMaster: esES added
------------------------------------------------------------------------
r44 | xuerian | 2007-02-15 23:17:53 +0000 (Thu, 15 Feb 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Adjusted to call XLoot utilities properly.
------------------------------------------------------------------------
r43 | kergoth | 2007-01-30 00:14:59 +0000 (Tue, 30 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

.Line ending fixups in .toc files (they werent in my .subversion/config autoprops)
------------------------------------------------------------------------
r42 | kergoth | 2007-01-23 23:43:23 +0000 (Tue, 23 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMasterOptions.lua
   M /tmp/trunk/XLootMaster/localization.enUS.lua
   M /tmp/trunk/XLootMaster/localization.frFR.lua

.Line ending fixups part 2: trunk/ (script ended prematurely).
------------------------------------------------------------------------
r41 | xuerian | 2007-01-21 09:05:06 +0000 (Sun, 21 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Now shows up. (Why did no one report this..? >.>). Priority list shows up again. Up and down no longer disappear from the priority list management, only fade.
------------------------------------------------------------------------
r40 | xuerian | 2007-01-16 16:51:45 +0000 (Tue, 16 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: (DRYCODE) Added click-to-announce roll brackets. Normal click announces top five (Option coming later), shift click announces all, and control-click announces one-per-line (Can do both)
------------------------------------------------------------------------
r39 | xuerian | 2007-01-15 08:22:24 +0000 (Mon, 15 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster: Bumped Toc. Fixed bungled "zomg am I ml!?!" logic.
------------------------------------------------------------------------
r37 | xuerian | 2006-12-22 19:37:38 +0000 (Fri, 22 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Fixed RW always getting announced to.
------------------------------------------------------------------------
r35 | xuerian | 2006-12-18 17:52:43 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Menu closes when distributed to random player.
------------------------------------------------------------------------
r34 | xuerian | 2006-12-18 03:26:00 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Added a empty function just above the footer in both party and raid menus, "XLootMaster:InjectCustom(level, value)". Use XLootMaster.dewdrop to add lines or manipulate the menu.
------------------------------------------------------------------------
r33 | xuerian | 2006-12-14 07:03:17 +0000 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Prevent errors when mousing over Random menu once the owner of a cached roll no longer exists.
------------------------------------------------------------------------
r32 | xuerian | 2006-12-12 05:30:19 +0000 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Minor fixxyness. No detection of failed distribution yet, sorry. =P
------------------------------------------------------------------------
r31 | mikma | 2006-12-11 17:23:04 +0000 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster: .toc 20000
------------------------------------------------------------------------
r30 | xuerian | 2006-11-30 22:12:00 +0000 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   M /tmp/trunk/XLootMaster/XLootMasterOptions.lua
   M /tmp/trunk/XLootMaster/localization.enUS.lua
   A /tmp/trunk/XLootMaster/localization.frFR.lua

XLootMaster: Only opens if you ARE the master looter. Added small 'roll time remaining' text. Added frFR localization.
------------------------------------------------------------------------
r29 | xuerian | 2006-11-10 11:27:00 +0000 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/localization.enUS.lua

XLootMaster: Whoops. Let's not recursively nil a table that has keys in use in other places. Caught a unlocalized string too.
------------------------------------------------------------------------
r28 | xuerian | 2006-11-10 10:51:22 +0000 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   M /tmp/trunk/XLootMaster/XLootMasterOptions.lua
   A /tmp/trunk/XLootMaster/localization.enUS.lua

XLootMaster: Localization split into localization.enUS.lua, ready for translation. Cleanup in main file. Version Bumpy-bumpy
------------------------------------------------------------------------
r27 | xuerian | 2006-11-09 01:18:58 +0000 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMasterOptions.lua

XLootMaster: Whoops. DC'ing the LM is bad. Let's not. Thanks Armooo!
------------------------------------------------------------------------
r26 | sbu | 2006-11-08 02:02:05 +0000 (Wed, 08 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: fixed copy&paste error
------------------------------------------------------------------------
r25 | xuerian | 2006-11-07 12:10:42 +0000 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMaster.toc
   A /tmp/trunk/XLootMaster/XLootMasterOptions.lua

XLootMaster: Split options into separate file. Added/changed a bunch of options. Added automatic loot announcement (With fully customizable strings and various other options). DKP/value code making appearances. Now makes use of ckknight's metatable voodoo <3
------------------------------------------------------------------------
r24 | xuerian | 2006-11-03 03:59:45 +0000 (Fri, 03 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: @#%$!. Thanks Armooo, added missing self:. Fix to fix now actually fixes problem meant to be fix by fix formerly affixed to the thingy.
------------------------------------------------------------------------
r23 | xuerian | 2006-11-03 03:51:29 +0000 (Fri, 03 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Fixed selfloot
------------------------------------------------------------------------
r22 | xuerian | 2006-11-03 03:10:14 +0000 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Woo. Random menu (To player, request roll, roll display).
Proper options menu.
Removed merged functions
------------------------------------------------------------------------
r21 | xuerian | 2006-10-28 10:12:28 +0000 (Sat, 28 Oct 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Re-merged utility functions to account for XLoot rollback.
------------------------------------------------------------------------
r20 | xuerian | 2006-10-28 00:15:02 +0000 (Sat, 28 Oct 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Added options for confirmation threshold, item tooltips, and player tooltips. Moved menu into submenu.
------------------------------------------------------------------------
r19 | xuerian | 2006-10-27 12:07:46 +0000 (Fri, 27 Oct 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: All sorting works now. Hurrah.
------------------------------------------------------------------------
r18 | xuerian | 2006-10-24 11:41:03 +0000 (Tue, 24 Oct 2006) | 3 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua
   M /tmp/trunk/XLootMaster/XLootMaster.toc

XLootMaster: Removed Gratuity from toc and init.
Added: Priority list. Applicable in raid only, currently only accessible from ml dropdown in raid. Sorting doesn't work yet. Blame lua. Yes I know there are "Move up" and "Move down" buttons. -they don't work-. Also may have fucked up party looting again... oops.

------------------------------------------------------------------------
r17 | roartindon | 2006-10-23 10:47:14 +0000 (Mon, 23 Oct 2006) | 2 lines
Changed paths:
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Set eol-style to native. Fixed tooltips in party loot

------------------------------------------------------------------------
r16 | xuerian | 2006-10-23 08:54:33 +0000 (Mon, 23 Oct 2006) | 1 line
Changed paths:
   M /tmp/trunk/XLootMaster
   M /tmp/trunk/XLootMaster/XLootMaster.lua

XLootMaster: Cleanup, menu tweaks, unit tooltip on mouseover. Added tsvn:logtemplate.
------------------------------------------------------------------------
r15 | xuerian | 2006-10-23 08:22:40 +0000 (Mon, 23 Oct 2006) | 1 line
Changed paths:
   A /tmp/trunk/XLootMaster
   A /tmp/trunk/XLootMaster/XLootMaster.lua
   A /tmp/trunk/XLootMaster/XLootMaster.toc

.XLootMaster: Initial commit.
------------------------------------------------------------------------
